Flecs: ecs_meta_op_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_meta_op_t Struct Reference
C API » Addons » Meta

Meta type serializer instruction data. More...

`#include <meta.h>`

## Public Attributes
ecs_meta_op_kind_t | kind
| Instruction opcode.
ecs_meta_op_kind_t | underlying_kind
| Underlying type kind (for enums).
ecs_size_t | offset
| Offset of current field.
const char * | name
| Name of value (only used for struct members)
ecs_size_t | elem_size
| Element size (for PushArray/PushVector) and element count (for PopArray)
int16_t | op_count
| Number of operations until next field or end.
int16_t | member_index
| Index of member in struct.
ecs_entity_t | type
| Type entity.
const ecs_type_info_t * | type_info
| Type info.
union { |
ecs_hashmap_t * members |
| string -> member index (structs) More...
ecs_map_t * constants |
| (u)int -> constant entity (enums/bitmasks) More...
ecs_meta_serialize_t opaque |
| Serialize callback for opaque types. More...
} | is

## Detailed Description

Meta type serializer instruction data.

Definition at line 568 of file meta.h.

## Member Data Documentation

## ◆ constants

ecs_map_t* ecs_meta_op_t::constants

(u)int -> constant entity (enums/bitmasks)

Definition at line 580 of file meta.h.

## ◆ elem_size

ecs_size_t ecs_meta_op_t::elem_size

Element size (for PushArray/PushVector) and element count (for PopArray)

Definition at line 573 of file meta.h.

## ◆ kind

ecs_meta_op_kind_t ecs_meta_op_t::kind

Instruction opcode.

Definition at line 569 of file meta.h.

## ◆ member_index

int16_t ecs_meta_op_t::member_index

Index of member in struct.

Definition at line 575 of file meta.h.

## ◆ members

ecs_hashmap_t* ecs_meta_op_t::members

string -> member index (structs)

Definition at line 579 of file meta.h.

## ◆ name

const char* ecs_meta_op_t::name

Name of value (only used for struct members)

Definition at line 572 of file meta.h.

## ◆ offset

ecs_size_t ecs_meta_op_t::offset

Offset of current field.

Definition at line 571 of file meta.h.

## ◆ op_count

int16_t ecs_meta_op_t::op_count

Number of operations until next field or end.

Definition at line 574 of file meta.h.

## ◆ opaque

ecs_meta_serialize_t ecs_meta_op_t::opaque

Serialize callback for opaque types.

Definition at line 581 of file meta.h.

## ◆ type

ecs_entity_t ecs_meta_op_t::type

Type entity.

Definition at line 576 of file meta.h.

## ◆ type_info

const ecs_type_info_t* ecs_meta_op_t::type_info

Type info.

Definition at line 577 of file meta.h.

## ◆ underlying_kind

ecs_meta_op_kind_t ecs_meta_op_t::underlying_kind

Underlying type kind (for enums).

Definition at line 570 of file meta.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/meta.h